Get Address Information (v1)¶
For segregate warm wallet, cold wallet and DeFi account wallet. For consolidation wallet, use coin_name to filter address of the particular token.
A V2 version of this endpoint is available with improved performance. We recommend V2 for all new integrations. Refer to Get Address Information (v2).
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
b_id |
String | Business line ID |
wallet_code |
String | Wallet ID |
address |
String | Wallet address |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| coin_name Optional | String | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | List of address info |
data (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Enterprise ID |
| bid | String | Business line ID |
| wallet_code | String | Wallet ID |
| main_wallet_code | String | Main wallet ID |
| wallet_name | String | Wallet name |
| wallet_type | String | Wallet type (MIXED_ADDRESS or SEGREGATED_ADDRESS) |
| wallet_address_type | String | Wallet address type |
| address | String | Address |
| chain | String | Chain name (e.g. ETH, BTC) |
| address_type | String | Address type (NORMAL_ADDRESS) |
| address_storage | String | Address storage type (COLD/HOT) |
| bch_address_format | String | BCH address format (CashAdd/Legacy) |
| btc_address_type | String | BTC address type (Legacy or SegWit) |
| coin_name | String | Asset name |
| description | String | Address description |
| available_amount | Decimal | Available asset amount (the smallest unit) |
| available_amount_str | String | Available asset amount in string format (in smallest unit) |
| freeze_amount | Decimal | Frozen asset amount (the smallest unit) |
| freeze_amount_str | String | Frozen asset amount in string format (in smallest unit) |
| total_amount | Decimal | Total asset amount (the smallest unit) |
| total_amount_str | String | Total asset amount in string format (in smallest unit) |
| confirm_ratio | String | Confirmation ratio |
| total_market_amount | Decimal | Total market value (in USD) |
| total_market_amount_str | String | Total market value in string format (in USD) |
| cny_total_market_amount | Decimal | Total market value (in CNY) |
| cny_total_market_amount_str | String | Total market value in string format (in CNY) |
| address_status | String | Address status |
| is_third_party_black_address | Boolean | Whether the address is flagged as a third-party blacklisted address |
| max_withdraw_amount | Decimal | Maximum withdrawable amount for this asset at this address. |
| max_withdraw_amount_str | String | Maximum withdrawable amount for this asset at this address in string format. |
Response Example¶
{
"code": 0,
"message": "",
"successful": true,
"data": {
"domain_id": "1e2fa188f5d44faca64c45485062e829",
"bid": "b4a25892d06542ba8fedb40e99d0c659",
"wallet_code": "CHEVMS5368231134",
"main_wallet_code": "CHEVMS5368231134",
"wallet_name": "",
"wallet_type": "MIXED_ADDRESS",
"wallet_address_type": null,
"address": "0xd514722Dc9f4407F0729bf8654436ee3100C192c",
"chain": "ETH",
"address_type": "NORMAL_ADDRESS",
"address_storage": "HOT",
"bch_address_format": null,
"btc_address_type": null,
"coin_name": "USDC",
"description": "",
"available_amount": 0,
"available_amount_str": "0",
"freeze_amount": 0,
"freeze_amount_str": "0",
"total_amount": 0,
"total_amount_str": "0",
"confirm_ratio": null,
"total_market_amount": null,
"total_market_amount_str": null,
"cny_total_market_amount": null,
"cny_total_market_amount_str": null,
"address_status": null,
"is_third_party_black_address": false,
"max_withdraw_amount": null,
"max_withdraw_amount_str": null
}
}